Bug 1807648 - Minimize disruption of new and existing connections while OVS is being upgraded
Summary: Minimize disruption of new and existing connections while OVS is being upgraded
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Aniket Bhat
QA Contact: zhaozhanqi
URL:
Whiteboard: SDN-CI-IMPACT,SDN-BP
Depends On: 1807638
Blocks: 1807670
TreeView+ depends on / blocked
 
Reported: 2020-02-26 20:20 UTC by Clayton Coleman
Modified: 2020-06-02 18:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1807638
: 1807670 (view as bug list)
Environment:
Last Closed: 2020-06-02 11:17:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 625 None closed Bug 1807648: Fixes to reliably save/restore flows 2020-07-29 15:55:22 UTC
Red Hat Product Errata RHBA-2020:2310 None None None 2020-06-02 11:18:14 UTC

Description Clayton Coleman 2020-02-26 20:20:27 UTC
+++ This bug was initially created as a clone of Bug #1807638 +++

During OVS shutdown and startup new and reused connections are being impacted (in upgrade).

We should attempt to preserve all existing flows in the kernel while the OVS daemon is offline, and during startup avoid clearing those flows.

While this does not completely mitigate dropped / failed connections while OVS is upgrading, it dramatically reduces the amount of time user applications are impacted both by upgrades or by unexpected disruption (an OOM kill or OVS crash). Future changes will build on this to try to make OVS upgrade completely transparent to end user applications.

Known gaps:

ARP flows are potentially still being lost for new connections (workarounds being investigated with OVS team).

After testing in 4.5, we will consider back porting this to all active releases.

Comment 2 Clayton Coleman 2020-05-07 14:06:50 UTC
I would have expected ovs save/restore to go back to 4.4 at least.

Comment 5 zhaozhanqi 2020-05-25 11:57:30 UTC
Verified this bug on 4.4.0-0.nightly-2020-05-24-193742

Comment 7 errata-xmlrpc 2020-06-02 11:17:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2310


Note You need to log in before you can comment on or make changes to this bug.